﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content;

namespace MyXnaGame
{
    class XMenuEntry: MenuEntry
    {
        #region Initialization
        Texture2D menuGraphic;

        /// <summary>
        /// Constructs a new menu entry with the specified text.
        /// </summary>
        public XMenuEntry(ContentManager content, string text): base("X" + text)
        {
            menuGraphic = content.Load<Texture2D>("menubg");
        }

        /// <summary>
        /// Gets or sets the text of this menu entry.
        /// </summary>
        public new string Text
        {
            get { return text; }
            set { text = "X" + value; }
        }


        #endregion
    }
}
